Bug 1016955 - [Dev] [Docs] VNIC Profiles
[Dev] [Docs] VNIC Profiles
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andrew Burden
ecs-bugs
:
Depends On: 1015417
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 23:30 EDT by Andrew Burden
Modified: 2014-04-06 23:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1015417
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Burden 2013-10-08 23:30:43 EDT
+++ This bug was initially created as a clone of Bug #1015417 +++

http://www.ovirt.org/Features/Vnic_Profiles

In short: Network Admin can create VNIC profiles for each network. Users are granted permission to use a profile, limiting their bandwith on the network.

Changes:
* GUI - new tab in Details pane for 'Network' resource
      - new window (VM Interface Profile)
      - new 'Profiles' tab in New/Edit Logical Network window
* New permissions - groups and users 
* REST API 
(https://<domain.example.com>/api/networks/<id>/vnicprofiles)
* CLI (show vnicprofile --name <name>

Related to: Network QoS
https://bugzilla.redhat.com/show_bug.cgi?id=976160

"In order to define more natural coupling of the QoS to a VNIC we define a new concept called VNIC Profile. The VNIC profile will be introduced in oVirt 3.3 to all clusters and will wrap few of the properties currently defined directly on the VNIC" (from ovirt wiki: Network QoS)",

and (it appears)

custom properties per vnic
https://bugzilla.redhat.com/show_bug.cgi?id=976570
"Previously you could only set custom properties for VMs, now you can custom properties for virtual NICs. These custom properties are then sent for each operation related to vNICs: hotplug nic, hot unplug nic, update device, VM creation (Via before_device_create, after_device_create), VM destroy (before_device_destroy, after_device_destroy) and migration verbs (The full list is below).

For example, previously if you wanted to do some operation on a VM's vNICs you could pass a custom property to the VM and before_vm_start would have the custom property exposed. However, you had no way to get down to a specific vNIC, you could only target all of them. Now you can add a custom property to a specific vNIC (Via the new vNIC profiles feature) and the custom property would only be sent to vNICs under that profile.
...
Section "B.8. Setting Virtual Machine Custom Properties" needs to be updated with instructions regarding vNIC profiles and vNIC custom properties."
Comment 1 Andrew Burden 2013-10-09 21:49:03 EDT
Topic created:
Network VNIC Profile Sub-Collection [23742]

Note You need to log in before you can comment on or make changes to this bug.